%global     builddir        build-mysql-jdbc
%global     distdir         dist-mysql-jdbc
%global     java6_rtpath    %{java_home}/jre/lib/rt.jar
%global     java6_javacpath /usr/bin/javac
%global     java6_javapath  /usr/bin/javac

Summary:    Official JDBC driver for MySQL
Name:       mysql-connector-java
Version:    5.1.35
Release:    %mkrel 1
Epoch:      1 

# MySQL FLOSS Exception
License:    GPLv2 with exceptions
Group:      Development/Java
URL:        http://dev.mysql.com/downloads/connector/j/

# Mysql has a mirror redirector for its downloads
# You can get this tarball by following a link from:
# http://dev.mysql.com/get/Downloads/Connector-J/%%{name}-%%{version}.zip/from/pick#mirrors
#
# Following prebuilt jars and sources have been removed from the tarball:
#
# %%{name}-%%{version}-bin.jar
# src/lib/ant-contrib.jar
# src/lib/c3p0-0.9.1-pre6.jar
# src/lib/c3p0-0.9.1-pre6.src.zip
# src/lib/jboss-common-jdbc-wrapper.jar
# src/lib/jboss-common-jdbc-wrapper-src.jar
# src/lib/slf4j-api-1.6.1.jar
#
# See http://bugs.mysql.com/bug.php?id=28512 for details.
Source0:            %{name}-%{version}-nojars.tar.xz

# To make it easier a script generate-tarball.sh has been created:
# ./generate-tarball.sh version
# will create a new tarball compressed with xz and without those jar files.
Source1:            generate-tarball.sh 

# PATCH-FIX-UPSTREAM: do not strictly require jdk6 to compile
Patch0:             jdk6-check-use-jdk7.patch
# PATCH-FIX-UPSTREAM: do not require hibernate4 to actually just build
Patch1:             extra-libs-build.patch
# PATCH-FIX-SUSE: do not build jdbc3 driver needing too old java
Patch2:             no-jdk5-requirement.patch
# PATCH-FIX-UPSTREAM: build with jdbc4.1 and also with new javac
Patch3:             mysql-connector-java-jdbc-4.1.patch
# PATCH-FIX-UPSTREAM: do not lose classpath during tests build
Patch4:             use-classpath-in-tests.patch

BuildArch:          noarch

BuildRequires:      java-devel >= 1:1.6.0
BuildRequires:      ant >= 1.6.0
BuildRequires:      ant-contrib >= 1.0
BuildRequires:      jpackage-utils >= 1.6
BuildRequires:      jta >= 1.0
BuildRequires:      junit
BuildRequires:      slf4j
BuildRequires:      apache-commons-logging

Requires:           java-headless >= 1:1.6.0
Requires:           jta >= 1.0
Requires:           slf4j
Requires:           jpackage-utils

%description
MySQL Connector/J is a native Java driver that converts JDBC (Java Database
Connectivity) calls into the network protocol used by the MySQL database.
It lets developers working with the Java programming language easily build
programs and applets that interact with MySQL and connect all corporate
data, even in a heterogeneous environment. MySQL Connector/J is a Type
IV JDBC driver and has a complete JDBC feature set that supports the
capabilities of MySQL.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

# Remove duplicate README.txt files
rm README README.txt

# fix line endings
sed -i 's/\r//' docs/README.txt

%build

# We need both JDK1.5 (for JDBC3.0; appointed by $JAVA_HOME) and JDK1.6 (for JDBC4.0; appointed in the build.xml)
export CLASSPATH=$(build-classpath jdbc-stdext jta junit slf4j commons-logging.jar)

# We currently need to disable jboss integration because of missing jboss-common-jdbc-wrapper.jar (built from sources).
# See BZ#480154 and BZ#471915 for details.
rm -rf src/com/mysql/jdbc/integration/jboss
rm src/testsuite/regression/ConnectionRegressionTest.java
rm src/testsuite/regression/DataSourceRegressionTest.java
rm src/testsuite/simple/ReadOnlyCallableStatementTest.java
rm src/testsuite/simple/jdbc4/StatementsTest.java
# disable hibernate4 integration
rm -rf src/com/mysql/fabric/hibernate
rm -rf src/demo

%ant -DbuildDir=%{builddir} \
     -DdistDir=%{distdir} \
     -Dcom.mysql.jdbc.jdk6.rtjar=%{java6_rtpath} \
     -Dcom.mysql.jdbc.jdk6.javac=%{java6_javacpath} \
     -Dcom.mysql.jdbc.jdk6.java=%{java6_javapath} \
     dist

%install
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 %{builddir}/%{name}-%{version}-SNAPSHOT/%{name}-%{version}-SNAPSHOT-bin.jar \
    %{buildroot}%{_javadir}/%{name}.jar

rm -rf %{buildroot}%{name}-%{version}/docs/release-test-output

# Install the Maven build information
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 src/doc/sources/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
sed -i 's/>@.*</>%{version}</' %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap

%files -f .mfiles
%doc CHANGES COPYING docs


%changelog
* Sun Jun 14 2015 luigiwalser <luigiwalser> 1:5.1.35-1.mga4
+ Revision: 823146
- update to 5.1.35 and sync with opensuse to fix CVE-2015-2575

* Mon Dec 30 2013 dmorgan <dmorgan> 1:5.1.26-1.mga4
+ Revision: 563230
- New version

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Thu Jan 17 2013 umeabot <umeabot> 1:5.1.22-2.mga3
+ Revision: 389214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - New version
    - Build with java7
    - Build with java7

* Thu Dec 15 2011 gil <gil> 1:5.1.18-1.mga2
+ Revision: 181722
- update to 5.1.18
  enable gcj support
  replace log4j with slf4j

* Sun Apr 17 2011 stormi <stormi> 1:5.1.14-2.mga1
+ Revision: 87441
- fix RPM group

* Fri Jan 28 2011 dmorgan <dmorgan> 1:5.1.14-1.mga1
+ Revision: 42987
- Fix %%doc
- Fix requires
- Update to 5.1.14
- Remove fc macro
- imported package mysql-connector-java

